TextToSpeechCloseInMemory(3dtk)

Name

TextToSpeechCloseInMemory - Terminates the speech-to-memory capability.

Syntax
    MMRESULT TextToSpeechCloseInMemory (LPPTS_HANDLE_T phTTS)

Parameters

LPTTS_HANDLE_T phTTS
    Specifies an opened text-to-speech handle.

Description

This function terminates the speech-to-memory capability and returns to the startup state. The speech samples are then ignored or sent to an audio device, depending on the setting of the dwDeviceOptions parameter in the startup function.

TextToSpeechOpenInMemory() must be called before calling TextToSpeechCloseinMemory().

Return Values

This function returns a value of type MMRESULT. The value is zero if the function is successful. The return value is one of the following constants:

Constant | Description
MMSYSERR_NOERROR
 | Normal successful completion (zero).
MMSYSERR_ERROR
 | Output to memory not enabled or unable to create a system object.
MMSYSERR_INVALHANDLE
 | The text-to-speech handle was invalid.

See Also

TextToSpeechOpenInMemory(3dtk)